Bug 8717 - [FR] add UTF8 support
: [FR] add UTF8 support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gtk+)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://wiki.fantoo.ru/index.php/HOWTO...
:
: 8705
:
  Show dependency tree
 
Reported: 2005-12-23 19:14 by
Modified: 2006-12-04 13:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-23 19:14:51
Надо сделать автоматическую поддержку локалей UTF-8.  Требовать исправленных
иксов (см. #8705) или хак-пакет; в настройках xmms выставлять "использовать
наборы шрифтов" и уникодный шрифт, который также требовать.
------- Comment #1 From 2005-12-26 18:51:47 -------
Заберу-ка я себе gtk+.  В /etc/gtk/gtkrc.utf8 будет:

style "default-text" {
       fontset = "-adobe-helvetica-medium-r-normal--10-*-*-*-*-*-iso10646-1,\
                  -misc-fixed-medium-r-normal--13-*-*-*-*-*-iso10646-1,\
                  -xos4-terminus-medium-r-normal--11-*-*-*-*-*-iso10646-1,\
                  -*-helvetica-medium-r-normal--10--*-*-*-*-*-iso10646-1"
}
class "GtkWidget" style "default-text"
------- Comment #2 From 2005-12-26 21:56:13 -------
Зафикшено в gtk+-1.2.10-alt13.M30.1 и залито в /i/b/3.0.

Если ни у кого оскомины не вызовет -- заберу себе сизифовый пакет.
------- Comment #3 From 2006-12-04 13:51:15 -------
*** Bug 7358 has been marked as a duplicate of this bug. ***